<?php
//@*--


class Theme_Designer_Model_Export_Storage_PreviewCode extends Theme_Designer_Model_Export_Storage_Abstract
{
    public function __construct($args)
    {
        parent::__construct(MAGENTO_ROOT . Mage::getSingleton('designer/config')->get('paths/theme/previewCode',
                $args));
    }

    protected function _update($data)
    {
        if (!is_array($data)) return;

        $this->data = $data;
    }
}

//--*@